// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***

import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";

export interface ClusterConfigArgs {
    name: pulumi.Input<string>;
    nodes: pulumi.Input<pulumi.Input<inputs.NodeConfigArgs>[]>;
}

export interface ConnectionArgs {
    host: pulumi.Input<string>;
    port?: pulumi.Input<number>;
    privateKey: pulumi.Input<string>;
    privateKeyPass?: pulumi.Input<string>;
    user?: pulumi.Input<string>;
}

export interface ConnectionConfigArgs {
    host: pulumi.Input<string>;
    port?: pulumi.Input<number>;
    privateKeyPass?: pulumi.Input<string>;
    privateKeyPath: pulumi.Input<string>;
    user?: pulumi.Input<string>;
}

export interface NodeArgs {
    connection: pulumi.Input<inputs.ConnectionArgs>;
    host: pulumi.Input<string>;
}

export interface NodeConfigArgs {
    connection?: pulumi.Input<inputs.ConnectionConfigArgs>;
    host: pulumi.Input<string>;
}
